summaryrefslogtreecommitdiffstats
path: root/libraries/belle-sip
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/belle-sip')
-rw-r--r--libraries/belle-sip/belle-sip.SlackBuild20
1 files changed, 10 insertions, 10 deletions
diff --git a/libraries/belle-sip/belle-sip.SlackBuild b/libraries/belle-sip/belle-sip.SlackBuild
index 2e54d553e1..dd31abe6bf 100644
--- a/libraries/belle-sip/belle-sip.SlackBuild
+++ b/libraries/belle-sip/belle-sip.SlackBuild
@@ -23,12 +23,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220422 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - remove empty ChangeLog from doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=belle-sip
VERSION=${VERSION:-1.6.3}
SRCDIRNAM=${PRGNAM}-${VERSION}-0
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -40,9 +43,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -66,7 +66,7 @@ else
LIBDIRSUFFIX=""
fi
-DOCS="AUTHORS COPYING ChangeLog NEWS README.md $CWD/$PRGNAM.SlackBuild"
+DOCS="AUTHORS COPYING NEWS README.md $CWD/$PRGNAM.SlackBuild"
set -e
@@ -84,9 +84,9 @@ cd ${PRGNAM}-${VERSION}
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Ensure java is in $PATH
export PATH=$PATH:/usr/lib${LIBDIRSUFFIX}/java/bin
@@ -123,10 +123,10 @@ CPPFLAGS="${CPPFLAGS} -I/usr/include/antlr3" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ #| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION